
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.woodsties.init;

import net.minecraftforge.fml.event.lifecycle.FMLClientSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;
import net.minecraftforge.api.distmarker.Dist;

import net.minecraft.world.level.block.Block;

import net.mcreator.woodsties.block.WoodstiesPortalFrameBlock;
import net.mcreator.woodsties.block.WoodstiesPortalBlock;
import net.mcreator.woodsties.block.WoodstiesIronOreBlock;
import net.mcreator.woodsties.block.WoodlandTrapdoorBlock;
import net.mcreator.woodsties.block.WoodlandStairsBlock;
import net.mcreator.woodsties.block.WoodlandSlabBlock;
import net.mcreator.woodsties.block.WoodlandRoseBlock;
import net.mcreator.woodsties.block.WoodlandPlankBlock;
import net.mcreator.woodsties.block.WoodlandLogBlock;
import net.mcreator.woodsties.block.WoodlandLeavesBlock;
import net.mcreator.woodsties.block.WoodlandGrassBlock;
import net.mcreator.woodsties.block.WoodlandFenceGateBlock;
import net.mcreator.woodsties.block.WoodlandFenceBlock;
import net.mcreator.woodsties.block.WoodlandDoorBlock;
import net.mcreator.woodsties.block.WoodlandDirtBlock;
import net.mcreator.woodsties.block.WoodlandButtonBlock;
import net.mcreator.woodsties.block.WoodandPressurePlateBlock;
import net.mcreator.woodsties.block.JackalopeTrapdoorBlock;
import net.mcreator.woodsties.block.JackalopeStairsBlock;
import net.mcreator.woodsties.block.JackalopeSlabBlock;
import net.mcreator.woodsties.block.JackalopePressurePlateBlock;
import net.mcreator.woodsties.block.JackalopePlanksBlock;
import net.mcreator.woodsties.block.JackalopeLogBlock;
import net.mcreator.woodsties.block.JackalopeLeavesBlock;
import net.mcreator.woodsties.block.JackalopeGrassBlock;
import net.mcreator.woodsties.block.JackalopeFenceGateBlock;
import net.mcreator.woodsties.block.JackalopeFenceBlock;
import net.mcreator.woodsties.block.JackalopeDoorBlock;
import net.mcreator.woodsties.block.JackalopeDirtBlock;
import net.mcreator.woodsties.block.JackalopeButtonBlock;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class WoodstiesModBlocks {
	private static final List<Block> REGISTRY = new ArrayList<>();
	public static final Block WOODLAND_DIRT = register(new WoodlandDirtBlock());
	public static final Block WOODLAND_GRASS = register(new WoodlandGrassBlock());
	public static final Block WOODLAND_LOG = register(new WoodlandLogBlock());
	public static final Block WOODLAND_LEAVES = register(new WoodlandLeavesBlock());
	public static final Block WOODLAND_ROSE = register(new WoodlandRoseBlock());
	public static final Block WOODLAND_PLANK = register(new WoodlandPlankBlock());
	public static final Block WOODLAND_STAIRS = register(new WoodlandStairsBlock());
	public static final Block WOODLAND_DOOR = register(new WoodlandDoorBlock());
	public static final Block WOODLAND_SLAB = register(new WoodlandSlabBlock());
	public static final Block WOODLAND_FENCE = register(new WoodlandFenceBlock());
	public static final Block WOODLAND_FENCE_GATE = register(new WoodlandFenceGateBlock());
	public static final Block WOODLAND_TRAPDOOR = register(new WoodlandTrapdoorBlock());
	public static final Block JACKALOPE_GRASS = register(new JackalopeGrassBlock());
	public static final Block JACKALOPE_LOG = register(new JackalopeLogBlock());
	public static final Block JACKALOPE_DIRT = register(new JackalopeDirtBlock());
	public static final Block JACKALOPE_LEAVES = register(new JackalopeLeavesBlock());
	public static final Block JACKALOPE_PLANKS = register(new JackalopePlanksBlock());
	public static final Block WOODSTIES_PORTAL_FRAME = register(new WoodstiesPortalFrameBlock());
	public static final Block WOODSTIES_PORTAL = register(new WoodstiesPortalBlock());
	public static final Block WOODSTIES_IRON_ORE = register(new WoodstiesIronOreBlock());
	public static final Block JACKALOPE_DOOR = register(new JackalopeDoorBlock());
	public static final Block JACKALOPE_TRAPDOOR = register(new JackalopeTrapdoorBlock());
	public static final Block JACKALOPE_STAIRS = register(new JackalopeStairsBlock());
	public static final Block JACKALOPE_SLAB = register(new JackalopeSlabBlock());
	public static final Block JACKALOPE_FENCE = register(new JackalopeFenceBlock());
	public static final Block JACKALOPE_FENCE_GATE = register(new JackalopeFenceGateBlock());
	public static final Block JACKALOPE_PRESSURE_PLATE = register(new JackalopePressurePlateBlock());
	public static final Block JACKALOPE_BUTTON = register(new JackalopeButtonBlock());
	public static final Block WOODAND_PRESSURE_PLATE = register(new WoodandPressurePlateBlock());
	public static final Block WOODLAND_BUTTON = register(new WoodlandButtonBlock());

	private static Block register(Block block) {
		REGISTRY.add(block);
		return block;
	}

	@SubscribeEvent
	public static void registerBlocks(RegistryEvent.Register<Block> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Block[0]));
	}

	@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD, value = Dist.CLIENT)
	public static class ClientSideHandler {
		@SubscribeEvent
		public static void clientSetup(FMLClientSetupEvent event) {
			WoodlandRoseBlock.registerRenderLayer();
			WoodlandDoorBlock.registerRenderLayer();
			WoodlandFenceBlock.registerRenderLayer();
			WoodlandFenceGateBlock.registerRenderLayer();
			WoodlandTrapdoorBlock.registerRenderLayer();
			JackalopeGrassBlock.registerRenderLayer();
			JackalopeDoorBlock.registerRenderLayer();
			JackalopeTrapdoorBlock.registerRenderLayer();
			JackalopeFenceBlock.registerRenderLayer();
			JackalopeFenceGateBlock.registerRenderLayer();
			JackalopePressurePlateBlock.registerRenderLayer();
			JackalopeButtonBlock.registerRenderLayer();
			WoodandPressurePlateBlock.registerRenderLayer();
			WoodlandButtonBlock.registerRenderLayer();
		}
	}
}
