
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.woodsties.init;

import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.entity.EntityAttributeCreationEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;

import net.mcreator.woodsties.entity.WoodlandCowEntity;
import net.mcreator.woodsties.entity.JackalopeChickenEntity;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class WoodstiesModEntities {
	private static final List<EntityType<?>> REGISTRY = new ArrayList<>();
	public static final EntityType<WoodlandCowEntity> WOODLAND_COW = register("woodland_cow",
			EntityType.Builder.<WoodlandCowEntity>of(WoodlandCowEntity::new, MobCategory.CREATURE).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(WoodlandCowEntity::new).sized(0.9f, 1.4f));
	public static final EntityType<JackalopeChickenEntity> JACKALOPE_CHICKEN = register("jackalope_chicken",
			EntityType.Builder.<JackalopeChickenEntity>of(JackalopeChickenEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true)
					.setTrackingRange(64).setUpdateInterval(3).setCustomClientFactory(JackalopeChickenEntity::new).sized(0.4f, 0.7f));

	private static <T extends Entity> EntityType<T> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		EntityType<T> entityType = (EntityType<T>) entityTypeBuilder.build(registryname).setRegistryName(registryname);
		REGISTRY.add(entityType);
		return entityType;
	}

	@SubscribeEvent
	public static void registerEntities(RegistryEvent.Register<EntityType<?>> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new EntityType[0]));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			WoodlandCowEntity.init();
			JackalopeChickenEntity.init();
		});
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(WOODLAND_COW, WoodlandCowEntity.createAttributes().build());
		event.put(JACKALOPE_CHICKEN, JackalopeChickenEntity.createAttributes().build());
	}
}
