
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.woodsties.init;

import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.level.block.Block;
import net.minecraft.world.item.SpawnEggItem;
import net.minecraft.world.item.Item;
import net.minecraft.world.item.CreativeModeTab;
import net.minecraft.world.item.BlockItem;

import net.mcreator.woodsties.item.WoodstiesItem;
import net.mcreator.woodsties.item.WoodlandBerryItem;
import net.mcreator.woodsties.item.StrawberryItem;
import net.mcreator.woodsties.item.JarItem;
import net.mcreator.woodsties.item.BlueberryJamItem;
import net.mcreator.woodsties.item.BerryPieItem;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class WoodstiesModItems {
	private static final List<Item> REGISTRY = new ArrayList<>();
	public static final Item WOODLAND_DIRT = register(WoodstiesModBlocks.WOODLAND_DIRT, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_GRASS = register(WoodstiesModBlocks.WOODLAND_GRASS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_LOG = register(WoodstiesModBlocks.WOODLAND_LOG, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_BERRY = register(new WoodlandBerryItem());
	public static final Item WOODLAND_LEAVES = register(WoodstiesModBlocks.WOODLAND_LEAVES, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_ROSE = register(WoodstiesModBlocks.WOODLAND_ROSE, CreativeModeTab.TAB_DECORATIONS);
	public static final Item WOODLAND_PLANK = register(WoodstiesModBlocks.WOODLAND_PLANK, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JAR = register(new JarItem());
	public static final Item BLUEBERRY_JAM = register(new BlueberryJamItem());
	public static final Item WOODLAND_STAIRS = register(WoodstiesModBlocks.WOODLAND_STAIRS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_DOOR = register(WoodstiesModBlocks.WOODLAND_DOOR, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_SLAB = register(WoodstiesModBlocks.WOODLAND_SLAB, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_FENCE = register(WoodstiesModBlocks.WOODLAND_FENCE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_FENCE_GATE = register(WoodstiesModBlocks.WOODLAND_FENCE_GATE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_TRAPDOOR = register(WoodstiesModBlocks.WOODLAND_TRAPDOOR, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item BERRY_PIE = register(new BerryPieItem());
	public static final Item JACKALOPE_GRASS = register(WoodstiesModBlocks.JACKALOPE_GRASS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_LOG = register(WoodstiesModBlocks.JACKALOPE_LOG, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_DIRT = register(WoodstiesModBlocks.JACKALOPE_DIRT, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item STRAWBERRY = register(new StrawberryItem());
	public static final Item JACKALOPE_LEAVES = register(WoodstiesModBlocks.JACKALOPE_LEAVES, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_PLANKS = register(WoodstiesModBlocks.JACKALOPE_PLANKS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODSTIES_PORTAL_FRAME = register(WoodstiesModBlocks.WOODSTIES_PORTAL_FRAME, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODSTIES = register(new WoodstiesItem());
	public static final Item WOODSTIES_IRON_ORE = register(WoodstiesModBlocks.WOODSTIES_IRON_ORE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_DOOR = register(WoodstiesModBlocks.JACKALOPE_DOOR, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_TRAPDOOR = register(WoodstiesModBlocks.JACKALOPE_TRAPDOOR, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_STAIRS = register(WoodstiesModBlocks.JACKALOPE_STAIRS, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_SLAB = register(WoodstiesModBlocks.JACKALOPE_SLAB, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_FENCE = register(WoodstiesModBlocks.JACKALOPE_FENCE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_FENCE_GATE = register(WoodstiesModBlocks.JACKALOPE_FENCE_GATE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_PRESSURE_PLATE = register(WoodstiesModBlocks.JACKALOPE_PRESSURE_PLATE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item JACKALOPE_BUTTON = register(WoodstiesModBlocks.JACKALOPE_BUTTON, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODAND_PRESSURE_PLATE = register(WoodstiesModBlocks.WOODAND_PRESSURE_PLATE, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_BUTTON = register(WoodstiesModBlocks.WOODLAND_BUTTON, CreativeModeTab.TAB_BUILDING_BLOCKS);
	public static final Item WOODLAND_COW = register(
			new SpawnEggItem(WoodstiesModEntities.WOODLAND_COW, -13557737, -12888268, new Item.Properties().tab(CreativeModeTab.TAB_MISC))
					.setRegistryName("woodland_cow_spawn_egg"));
	public static final Item JACKALOPE_CHICKEN = register(
			new SpawnEggItem(WoodstiesModEntities.JACKALOPE_CHICKEN, -5197648, -11982772, new Item.Properties().tab(CreativeModeTab.TAB_MISC))
					.setRegistryName("jackalope_chicken_spawn_egg"));

	private static Item register(Item item) {
		REGISTRY.add(item);
		return item;
	}

	private static Item register(Block block, CreativeModeTab tab) {
		return register(new BlockItem(block, new Item.Properties().tab(tab)).setRegistryName(block.getRegistryName()));
	}

	@SubscribeEvent
	public static void registerItems(RegistryEvent.Register<Item> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Item[0]));
	}
}
