package net.mcreator.woodsties.client.renderer;

import net.minecraft.resources.ResourceLocation;
import net.minecraft.client.renderer.entity.MobRenderer;
import net.minecraft.client.renderer.entity.EntityRendererProvider;
import net.minecraft.client.model.geom.ModelLayers;
import net.minecraft.client.model.CowModel;

import net.mcreator.woodsties.entity.WoodlandCowEntity;

public class WoodlandCowRenderer extends MobRenderer<WoodlandCowEntity, CowModel<WoodlandCowEntity>> {
	public WoodlandCowRenderer(EntityRendererProvider.Context context) {
		super(context, new CowModel(context.bakeLayer(ModelLayers.COW)), 0.5f);
	}

	@Override
	public ResourceLocation getTextureLocation(WoodlandCowEntity entity) {
		return new ResourceLocation("woodsties:textures/sahoe_1.png");
	}
}
