
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.woodsties.init;

import net.minecraftforge.fml.event.lifecycle.FMLCommonSetupEvent;
import net.minecraftforge.fml.common.Mod;
import net.minecraftforge.eventbus.api.SubscribeEvent;
import net.minecraftforge.event.RegistryEvent;

import net.minecraft.world.level.biome.Biome;
import net.minecraft.resources.ResourceLocation;

import net.mcreator.woodsties.world.biome.WoodlandsBiome;
import net.mcreator.woodsties.world.biome.JackalopeBiome;
import net.mcreator.woodsties.WoodstiesMod;

import java.util.List;
import java.util.ArrayList;

@Mod.EventBusSubscriber(bus = Mod.EventBusSubscriber.Bus.MOD)
public class WoodstiesModBiomes {
	private static final List<Biome> REGISTRY = new ArrayList<>();
	public static Biome WOODLANDS = register("woodlands", WoodlandsBiome.createBiome());
	public static Biome JACKALOPE = register("jackalope", JackalopeBiome.createBiome());

	private static Biome register(String registryname, Biome biome) {
		REGISTRY.add(biome.setRegistryName(new ResourceLocation(WoodstiesMod.MODID, registryname)));
		return biome;
	}

	@SubscribeEvent
	public static void registerBiomes(RegistryEvent.Register<Biome> event) {
		event.getRegistry().registerAll(REGISTRY.toArray(new Biome[0]));
	}

	@SubscribeEvent
	public static void init(FMLCommonSetupEvent event) {
		event.enqueueWork(() -> {
			WoodlandsBiome.init();
			JackalopeBiome.init();
		});
	}
}
